Setting default values

{{ some_variable | default(5) }}
{{ [3, 4, 2] | max }}
"{{ ['a','b','c'] | random }}"
{{ ['a','b','c','c']  | unique }}

{{ some_variable | to_nice_yaml }}

{{ '/path/to/foo.txt' | dirname }}
{{ '/path/to/foo.txt' | basename }}

"{{ '52:54:00' | random_mac }}"
{{ 1.1.1.1 | ipaddr }}
{{ '192.0.2.1/24' | ipaddr('address') }}

{{ 'secretpassword' | password_hash('sha512', 65534 | random(seed=inventory_hostname) | string) }}
